body {
    font-family: monospace;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    background-color: #f0f0f0;
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

/* Spacers Main-Footer */
.spacer {
    flex: 1;
}

main {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    justify-content: center;
    padding: .75rem;
}

footer {
    font-size: .75rem;
    text-align: center;
}

.crossword-container {
    font-family: monospace;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    align-items: center;
    gap: 1rem;
    padding: .5rem;
}

.crossword-grid {
    flex-basis: 360px;
    flex-grow: 1;
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    gap: .75px;
    max-width: 500px;
}
  
.cell {
    aspect-ratio: 1;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
}

.letter-cell {
    border: 1px solid black;
}

.cell-number {
    position: absolute;
    top: 1px;
    left: 1px;
    font-size: 10px;
    color: #666;
}

.crossword-hint {
    max-width: 500px;
}

.crossword-hint li {
    margin-bottom: .5rem;
}

.hint {
    cursor: pointer;
}

.crossword-answers-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: .75rem;
    border-top: 2px dotted #000;
    padding: .5rem;
}

.crossword-answers {
    max-width: 650px;
}

.answers-intro {
    font-size: .75rem;
    font-style: italic;
    text-transform: uppercase;
    text-align: center;
    margin-bottom: 1rem;
}

.hidden {
    color: transparent;
    cursor: pointer;
}

.none {
    display: none;
}

.line-t {
    text-decoration: line-through;
}

.bleeding {
    font-weight: bolder;
    text-shadow: 
    0 0 5px rgb(195, 255, 0), 
    0 0 10px rgb(195, 255, 0), 
    0 0 15px rgb(195, 255, 0), 
    0 0 20px rgb(195, 255, 0), 
    0 0 25px rgb(195, 255, 0), 
    0 0 30px rgb(195, 255, 0), 
    0 0 35px rgb(195, 255, 0);
    transition: font-weight 300ms ease-out;
    transition: text-shadow 300ms ease-out;
}

.marquee {
    font-size: clamp(16px, 3vw, 28px);
    height: clamp(20px, 3.25vw, 32px);
    color: #fff;
    text-transform: uppercase;
    font-style: italic;
    overflow: hidden;
    text-shadow: 0 0 5px blue, 0 0 5px blue, 0 0 5px blue, 0 0 5px blue;
    position: relative;
    background: linear-gradient(to bottom, rgba(0, 0, 255, 0.65), rgba(0, 29, 220, 0.234) 50%, rgba(0, 0, 255, 0.65));

}
.marquee>span {
    display: block;
    width: 270%;
    position: absolute; 
    overflow: hidden;
    animation: marquee 12s linear infinite;
    transition: width 0.5s ease;
    will-change: transform;
}

.marquee > span > span {
    float: left;
    width: 50%;
}
@keyframes marquee {
    0% { transform: translateX(0); }
    100% { transform: translateX(-50%); }
}

/* Desktop screen size */
@media screen and (min-width: 1024px) {
    .marquee > span {
        width: 200%;
        animation: marquee 20s linear infinite;
    }
}